Loading...
Searching...
No Matches
gr::buftype< classname, factory_class > Struct Template Reference

Template used to create buffer types. Note that the factory_class parameter must contain a static function make_buffer() that matches the signature below and will be used to create instances of the corresponding buffer type. More...

`#include <gnuradio/buffer_type.h>`

## Public Types

using | factory = factory_class

## Public Member Functions

buffer_sptr | make_buffer (int nitems, size_t sizeof_item, uint64_t downstream_lcm_nitems, uint32_t downstream_max_out_mult, block_sptr link=block_sptr(), block_sptr buf_owner=block_sptr()) const override
| Make and return a buffer subclass of the corresponding type.
| buftype ()
Public Member Functions inherited from gr::buffer_type_base
virtual | ~buffer_type_base ()
| buffer_type_base (buffer_type_base const &other)
void | operator= (buffer_type_base const &)=delete
bool | operator== (const buffer_type_base &other) const
bool | operator!= (const buffer_type_base &other) const
bool | operator< (const buffer_type_base &other)=delete
bool | operator> (const buffer_type_base &other)=delete
bool | operator<= (const buffer_type_base &other)=delete
bool | operator>= (const buffer_type_base &other)=delete
const std::string & | name () const
| Get the human-readable name of the type.

## Additional Inherited Members

Protected Member Functions inherited from gr::buffer_type_base
| buffer_type_base (const std::string name)
Protected Attributes inherited from gr::buffer_type_base
const std::string | d_name

## Detailed Description

template<typename classname, typename factory_class>
struct gr::buftype< classname, factory_class >

Template used to create buffer types. Note that the factory_class parameter must contain a static function make_buffer() that matches the signature below and will be used to create instances of the corresponding buffer type.

## Member Typedef Documentation

## factory

template<typename classname, typename factory_class>

using gr::buftype< classname, factory_class >::factory = factory_class

## Constructor & Destructor Documentation

## buftype()

template<typename classname, typename factory_class>

gr::buftype< classname, factory_class >::buftype | ( |  | ) |

inline

References gr::buffer_type_base::buffer_type_base(), and gr::buffer_type_base::name().

## Member Function Documentation

## make_buffer()

template<typename classname, typename factory_class>

buffer_sptr gr::buftype< classname, factory_class >::make_buffer | ( | int | nitems,
|  | size_t | sizeof_item,
|  | uint64_t | downstream_lcm_nitems,
|  | uint32_t | downstream_max_out_mult,
|  | block_sptr | link = block_sptr(),
|  | block_sptr | buf_owner = block_sptr() ) const

inline override virtual

Make and return a buffer subclass of the corresponding type.

Reimplemented from gr::buffer_type_base.

The documentation for this struct was generated from the following file:

- buffer_type.h